首页
论坛
课程
招聘
[求助]ilasm反编译错误
2010-5-18 01:09 4911

[求助]ilasm反编译错误

2010-5-18 01:09
4911
用IL DASM把,net的PE文件载入并dump出来后,不经过任何更改,直接用ilasm进行反编译,出现了如下错误:

是版本问题吗??
我的安装环境是framework 1.1,而程序用的是应该是2.0的,IL文件中可看出:// Metadata version: v2.0.50727

或者是其它问题,该如何解决?

看雪招聘平台创建简历并且简历完整度达到90%及以上可获得500看雪币~

上传的附件:
收藏
点赞0
打赏
分享
最新回复 (3)
雪    币: 352
活跃值: 活跃值 (18)
能力值: ( LV12,RANK:260 )
在线值:
发帖
回帖
粉丝
zenghw 活跃值 6 2010-5-18 01:35
2
0
经过排除,的确是版本问题,
但是编译还是有问题,
被混淆了。。
附件为该il和res,请大牛帮我分析分析
上传的附件:
雪    币: 312
活跃值: 活跃值 (23)
能力值: ( LV9,RANK:140 )
在线值:
发帖
回帖
粉丝
grassdrago 活跃值 3 2010-5-18 18:18
3
0
25万行的il,太大了。您把qq.exe中的名称反混淆了再试试dump和compiler.
雪    币: 359
活跃值: 活跃值 (281)
能力值: ( LV7,RANK:100 )
在线值:
发帖
回帖
粉丝
wangshy 活跃值 2 2010-5-18 18:37
4
0
资源名称的问题
游客
登录 | 注册 方可回帖
返回